> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List returns all model API keys owned by the calling user.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/iam/model_api_keys
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/iam/model_api_keys:
    get:
      tags:
        - Model API Key
      summary: List
      description: List returns all model API keys owned by the calling user.
      operationId: c1.api.iam.v1.ModelAPIKeyService.List
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.iam.v1.ModelAPIKeyServiceListResponse
          description: Successful response
components:
  schemas:
    c1.api.iam.v1.ModelAPIKeyServiceListResponse:
      description: The ModelAPIKeyServiceListResponse message.
      properties:
        keys:
          description: The requested model API keys (metadata only, no secrets).
          items:
            $ref: '#/components/schemas/c1.api.iam.v1.ModelAPIKey'
          type:
            - array
            - 'null'
        nextPageToken:
          description: Pagination token for the next page of results.
          type: string
      title: Model Api Key Service List Response
      type: object
      x-speakeasy-name-override: ModelAPIKeyServiceListResponse
    c1.api.iam.v1.ModelAPIKey:
      description: >
        ModelAPIKey is returned by Get/List operations (metadata only, no
        secret).


        This message contains a oneof named credential_format. Only a single
        field of the following list may be set at a time:
          - anthropic
      properties:
        anthropic:
          oneOf:
            - $ref: '#/components/schemas/c1.api.iam.v1.AnthropicCredentialFormat'
            - type: 'null'
        appId:
          description: The app this key is bound to.
          readOnly: true
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        displayName:
          description: The human-readable display name for this key.
          readOnly: true
          type: string
        edgeId:
          description: The Edge inference route this key is bound to.
          readOnly: true
          type: string
        expiresTime:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        id:
          description: The unique ID of the model API key.
          readOnly: true
          type: string
        lastUsedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        revokedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        scopeCeiling:
          description: The maximum scopes this key may use (intersection with live grants).
          items:
            type: string
          readOnly: true
          type:
            - array
            - 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: Model Api Key
      type: object
      x-speakeasy-name-override: ModelAPIKey
    c1.api.iam.v1.AnthropicCredentialFormat:
      description: >-
        AnthropicCredentialFormat selects the Anthropic-compatible key family.
        It has no options yet.
      title: Anthropic Credential Format
      type: object
      x-speakeasy-name-override: AnthropicCredentialFormat
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````